Create domain
/api/domainsCreates a new domain and its postmaster account.
Authorization
api_key API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Domain name without www.
Disable IMAP protocol on all email accounts of the domain.
Disable POP protocol on all email accounts of the domain.
Disable SMTP protocol on all email accounts of the domain.
Disable webmail access on all email accounts of the domain.
Domain plan.
basic= Basic plan.professional= Professional plan.enterprise= Enterprise plan.
basicValues basic | professional | enterpriseOutbound limit id.
int32Customer code that will own the domain. Required when creating a domain as an admin.
Postmaster password. Must be at least 8 characters long and contain at least one letter and one number.
Must match postmaster_password.
Enable catch all for the domain.
Catch all destination email address.
Default quota in bytes for new email accounts.
int32Antispam level.
0= disabled.1= permissive.2= standard.3= aggressive.
int32Values 0 | 1 | 2 | 3List of allowed IP addresses or networks.
Enable chat on the Qboxmail webmail.
Enable ActiveSync service on domain accounts.
Enable meeting video chat on the Qboxmail webmail.
Enable calendar on the Qboxmail webmail.
Enable DAV service on domain accounts.
Max number of email accounts for the domain. -1 means no limit.
int32Max number of 25GB email accounts for the domain. -1 means no limit.
int32Max number of 50GB email accounts for the domain. -1 means no limit.
int32Max number of 100GB email accounts for the domain. -1 means no limit.
int32Max number of archived email accounts for the domain. -1 means no limit.
int32Max quota in bytes for email accounts of the domain.
52428800= 50 MB.1073741824= 1 GB.2147483648= 2 GB.3221225472= 3 GB.4294967296= 4 GB.5368709120= 5 GB.6442450944= 6 GB.7516192768= 7 GB.8589934592= 8 GB.17179869184= 16 GB.26843545600= 25 GB.53687091200= 50 GB.107374182400= 100 GB.
int32Values 52428800 | 1073741824 | 2147483648 | 3221225472 | 4294967296 | 5368709120 | 6442450944 | 7516192768 | 8589934592 | 17179869184 | 26843545600 | 53687091200 | 107374182400Enable API access on domain accounts.
Disable password change from the user.
Disable password recovery from the user.
Password expiration in months.
-1= never expire.3= expire after 3 months.6= expire after 6 months.12= expire after 12 months.
int32Values -1 | 3 | 6 | 12Force users to set a new password on first login.
Prevent users from reusing old passwords.
Require two factor authentication for users.
Hide new accounts from the company address book.
Destroy user sessions when the password expires.
Enable premium antimalware when allowed by the plan.
Limit Tracemail retention to 21 days.
Company name associated with the domain.
Company telephone.
Company address.
Company city.
Company ZIP code.
Company state.
Company country.
Default language for users of the domain.
it= Italian.en= English.es= Spanish.
it | en | esDefault timezone for users of the domain.
Default webmail language.
it= Italian.en= English.nl= Dutch.sv= Swedish.es= Spanish.pt= Portuguese.de= German.gr= Greek.fr= French.
it | en | nl | sv | es | pt | de | gr | frDefault webmail time format.
12h= 12-hour clock.24h= 24-hour clock.
12h | 24hDefault webmail date format.
YYYY/MM/DD= year/month/day.DD/MM/YYYY= day/month/year.MM/DD/YYYY= month/day/year.DD MMM YYYY= day abbreviated-month year.MMM DD YYYY= abbreviated-month day year.DD.MM.YYYY= day.month.year.
YYYY/MM/DD | DD/MM/YYYY | MM/DD/YYYY | DD MMM YYYY | MMM DD YYYY | DD.MM.YYYYDefault webmail timezone.
Default webmail signature template.
Apply signature template to new email accounts.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/domains" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "postmaster_password": "string", "postmaster_password_confirmation": "string" }'{
"message": "string",
"resource_code": "string"
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}